#!/bin/sh

# Copyright (C) 2019, 2020 Svante Signell

# Written by Svante Signell  <svante.signell@gmail.com>

# This file is part of hurd-cross.

# Hurd-cross is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3 or (at your
# option) any later version.

# Hurd-cross is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with hurd-cross.  If not, see <http://www.gnu.org/licenses/>.

. ./common-funcs.sh

echo ""
echo "File: environment-variables.sh"

# Change your host GCC here.
# echo $SHELL
# set | grep MACHTYPE
# x86_64-linux-gnu
# The variable MACHTYPE is a local shell variable not an environment variable.

export HOST=x86_64-linux-gnu
#export HOST="$(echo $MACHTYPE | sed "s/$(echo $MACHTYPE | cut -d- -f2)/cross/g")"
#HOST=x86_64-cross-linux-gnu

# Change how many CPUs you want to use.
export PROCS=1

# GNU Hurd target.
export CPU=i686
export TARGET=$CPU-pc-gnu

# Set this to your ccache path if using ccache.
# export CCACHE_DIRECTORY="/usr/lib/ccache"

#if [ ! -z "$CCACHE_DIRECTORY" ]; then
#   export PATH=$CCACHE_DIRECTORY:$PATH
#fi

export CROSS_ROOT=/cross-tools
export TARGET_ROOT=/tools
export TARGET_IMAGE=hurd-cross.img

# print_info "CROSS_ROOT = $CROSS_ROOT"
# print_info "TARGET_ROOT = $TARGET_ROOT"
# print_info "HOST = $HOST"
# print_info "HOST_MACHINE = $HOST_MACHINE"
# print_info "TARGET = $TARGET"
# print_info "TARGET_IMAGE = $TARGET_IMAGE"

export SCRIPT_DIR=$PWD
export SYSTEM=$PWD/tmp
export SRC=$SYSTEM/src
export STAMPS=$SYSTEM/stamps
export LOGS=$SYSTEM/logs

# print_info "SCRIPT_DIR = $SCRIPT_DIR"
# print_info "SYSTEM = \$SCRIPT_DIR/tmp"
# print_info "SRC = \$SYSTEM/src"
# print_info "STAMPS = \$SYSTEM/stamps"
# print_info "LOGS = \$SYSTEM/logs"

export STAMPS_DOWNLOAD=$STAMPS/download
export STAMPS_BOOTSTRAP=$STAMPS/bootstrap
export STAMPS_COMPILE=$STAMPS/compile

export LOGS_DOWNLOAD=$LOGS/download
export LOGS_BOOTSTRAP=$LOGS/bootstrap
export LOGS_COMPILE=$LOGS/compile

#NEEDED to compile mig, ...
export PATH=$CROSS_ROOT/bin:$PATH

# FIXME: Move to download.sh, bootstrap.sh, compile.sh
#print_info "Cross-compiling on $HOST to $TARGET"
